FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202010141211.p0 BUILD_VERSION=v4.3.40 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=40 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.40-202010141211.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=fbb2ed7 OS_GIT_VERSION=4.3.40-202010141211.p0-fbb2ed7 SOURCE_DATE_EPOCH=1590761168 SOURCE_GIT_COMMIT=fbb2ed70b5db8b81abb68bb560f746751be306f7 SOURCE_GIT_TAG=v0.0.0-beta1-42-gfbb2ed7 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-gcp 
WORKDIR /go/src/github.com/openshift/cluster-api-provider-gcp
COPY . .
# VERSION env gets set in the openshift/release image and refers to the golang version, which interfers with our own
RUN unset VERSION \
 && make build GOPROXY=off NO_DOCKER=1 CGO_ENABLED=0

FROM openshift/ose-base:v4.3.40.20201014.125201
ENV __doozer=update BUILD_RELEASE=202010141211.p0 BUILD_VERSION=v4.3.40 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=40 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.40-202010141211.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=fbb2ed7 OS_GIT_VERSION=4.3.40-202010141211.p0-fbb2ed7 SOURCE_DATE_EPOCH=1590761168 SOURCE_GIT_COMMIT=fbb2ed70b5db8b81abb68bb560f746751be306f7 SOURCE_GIT_TAG=v0.0.0-beta1-42-gfbb2ed7 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-gcp 
COPY --from=builder /go/src/github.com/openshift/cluster-api-provider-gcp/bin/manager /
COPY --from=builder /go/src/github.com/openshift/cluster-api-provider-gcp/bin/machine-controller-manager /

LABEL \
        name="openshift/ose-gcp-machine-controllers" \
        com.redhat.component="ose-gcp-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="Other Providers" \
        release="202010141211.p0" \
        io.openshift.build.commit.id="fbb2ed70b5db8b81abb68bb560f746751be306f7" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-gcp" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-gcp/commit/fbb2ed70b5db8b81abb68bb560f746751be306f7" \
        version="v4.3.40"

